<?php

declare(strict_types=1);

use System\Database\Schema;

return function (): string {

    return Schema::create('branches', function ($table) {

        $table->id();

        $table->foreignId('organization_id')
              ->constrained('organizations');

        $table->string('branch_code',30);

        $table->string('branch_name',150);

        $table->string('address',255)->nullable();

        $table->boolean('status')->default(true);

        $table->timestamps();

    });

};